コンテンツへスキップ

ThinkSound

統合

モデルID thinksound
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/thinksound?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $3.60 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Open model 動画から音声 #audio-generation#video-to-audio

動画に合ったサウンドトラックを生成し、新しい音声を合成した動画を返します

Open model · 動画

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

デフォルト

動画から抽出されるプロンプトの代わりに使用する、任意の音声生成用ガイダンス。

•必須 video_url
ファイルをドロップ、または

音声生成のソースとして使用する動画URL。

詳細設定 num_inference_steps · cfg_scale · seed
デフォルト 24

音声生成に使用する推論ステップ数。

デフォルト 5

音声生成に使用する分類器フリーガイダンスの強度。

乱数生成器が使用するシード値。

POST /run/thinksound?wait=20 見積もり → $3.60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/thinksound?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

ThinkSoundについて

`video_url` で指定したクリップの音声を作成し、生成音声を含む動画を返します。任意の `prompt` で結果を誘導できます。省略した場合は動画自体からプロンプトが生成されます。`num_inference_steps`(2~100)と `cfg_scale`(1~20)で生成を調整し、`seed` で再現可能な出力を得られます。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
音声生成のソースとして使用する動画URL。
prompt任意
型string
デフォルト
動画から抽出されるプロンプトの代わりに使用する、任意の音声生成用ガイダンス。
seed任意
型integer | null
乱数生成器が使用するシード値。
num_inference_steps任意
型integer
デフォルト24
2 – 100
音声生成に使用する推論ステップ数。
cfg_scale任意
型number
デフォルト5
1 – 20
音声生成に使用する分類器フリーガイダンスの強度。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "thinksound",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3600,
    "usd": "3.60",
    "charged": 3600,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "An acoustic guitar being played indoors."
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
video
object {url, content_type, file_name, file_size}生成された音声を含む出力動画。
prompt
string音声生成を誘導したプロンプト。

その他のモデル: 動画から音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/thinksound.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt